#include "output.h"

#define WRAPCOL 76

char
printw(FILE *fp, unsigned char *s, int slen)
{
    static int col;
    int c;

    c = '\n';
    while (slen--) {
        fputc((c = *s++), fp);
        ++col;
        if (!(col %= WRAPCOL))
            fputc((c = '\n'), fp);
    }

    return c;
}
